**Cil controls：**

1. git clone [git@git.cardinfolink.net:kevin.zhang/cil-controls.git](git@git.cardinfolink.net:kevin.zhang/cil-controls.git);

2. cd cil-controls;

3. code change, revise, refactor etc...

4. Update the version in package.json file (it's important, otherwise it will cause npm publish fail);

5. gulp clean & gulp build;

6. git add . & git commit -m "feat: ..." & git push origin master;

7. npm publish;

**Usage:**

1. import;
    
```
    import 'cil-controls/index';

```
2. Added to main module;

```
    angular.module('app', ['cilControls']);

```
3. Use controls, for example left menu:

```
    <cil-left-menu sessions="vm.sessions" logout="vm.logout()" alp-user-info="vm.userInfo" user-info="vm.userInfo" logo="vm.logo"></cil-left-menu>
```